Unit taes1r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FAES1R_p, AES1R_p;

function taes1r: String;

implementation

function taes1r: String;
var
M0,I,K,IP :Integer;
EPS0 :Real;
W :Array [0..5] of Real;
B :Array [0..56] of Real;
TETA :Array [0..27] of Real;
RR :Array [0..27] of Real;
A :Array [0..27] of Real;
IR :Array [0..27] of Integer;
const
VJ :Array [0..5] of Real = ( 1.0,1.0,1.0,1.0,1.0,1.0 );
begin
Result := '';  {   }
EPS0 := 1.E-6;
M0 := 0;
AES1R(6,M0,4,4,28,EPS0,FAES1R,VJ,W,B,A,K,TETA,RR,IR,IP);
Result := Result + Format('%s',[' K,IP,M0 =']);
Result := Result + Format(' %4d  %4d %4d ',[K,IP,M0]) + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' TETA' + #$0D#$0A]);
for I:=1 to K do
 begin
  Result := Result + Format('%20.16f ',[TETA[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' RR' + #$0D#$0A]);
for I:=1 to K do
 begin
  Result := Result + Format('%20.16f ',[RR[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IR' + #$0D#$0A]);
for I:=1 to K do
 begin
  Result := Result + Format('%5d ',[IR[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('taes1r',Result);  {     taes1r.res }
exit;
end;

end.
